<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>

<!-- trasforma un xml contenente un elenco di dati in righe di una tabella (per auto) -->
<!-- esempio :
  questo xml:
  <tbldata>
    <r k='r1'><f title='abc'>field11</f><f id='12'>field12</f></r>
    <r k='r2'><f title='efg'>field21</f><f id='22'>field22</f></r>
    <r k='r3'><f>field31</f><f id='32'>field32</f></r>
  </tbldata>

  produce questo html:
  <TR k='r1' onClick="fAutoSetRec(this,tbledit)"><TD title='abc'>field11</TD><TD id='12'>field12</TD></TR>
  <TR k='r2' onClick="fAutoSetRec(this,tbledit)"><TD title='efg'>field21</TD><TD id='22'>field22</TD></TR>
  <TR k='r3' onClick="fAutoSetRec(this,tbledit)"><TD title=''>field31</TD><TD id='32'>field32</TD></TR>

-->

<xsl:template match="/">
  <xsl:for-each select="tbldata/r">
    <TR class='link' title='seleziona' onClick="fAutoSetRec(this,tbledit)">
    <xsl:attribute name="k"><xsl:value-of select="@k"/></xsl:attribute>
      <xsl:apply-templates select="f"/>
    </TR>
  </xsl:for-each>
</xsl:template>

<xsl:template match="f">
  <TD>
  <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
  <xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute>
    <xsl:value-of select="."/>
  </TD>
</xsl:template>

</xsl:stylesheet>
